import { requests } from './index';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

// 兑换计划分页接口
export const cdkeyPlanRecord = params => requests(PREFIX + 'cdkey-plan-record', params);

// 兑换码-- 禁用
export const cdkeyPlanForbid = params => requests(PREFIX + 'cdkey-plan-forbid', params);

// 兑换码-- 删除
export const cdkeyPlanDelete = params => requests(PREFIX + 'cdkey-plan-delete', params);

// 兑换详情
export const cdkeyPlanEdit = params => requests(PREFIX + 'cdkey-plan-edit', params);

// 兑换记录
export const cdkeyLogRecord = params => requests(PREFIX + 'cdkey-log-record', params);

// 兑换记录
export const getCdkeyWxaQrCodeImage = params => requests(PREFIX + 'get-cdkey-wxa-qr-code-image', params);

// 保存/修改兑换码计划
export const cdkeyPlanSave = PREFIX + 'cdkey-plan-save';

// 校验兑换码
export const cdkeyCheck = PREFIX + 'cdkey-check';

// 导出生成的兑换码
export const cdkeyExport = config.api + PREFIX + 'cdkey-export?requestProject=marketing';

// 下载导入失败记录
export const cdkeyFailExport = config.api + PREFIX + 'cdkey-fail-export';
